重新安装mysql时,与之前版本冲突的处理问题

原创 2012年03月25日 22:31:53



yum install mysql 时,报错如下:



事务检验出错:
  file /usr/bin/mysql from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/msql2mysql from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysql_find_rows from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysql_waitpid from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysqlaccess from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysqladmin from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysqlbinlog from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysqlcheck from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386
  file /usr/bin/mysqldump from install of mysql-5.5.21-1.fc16.i686 conflicts with file from package MySQL-client-5.1.57-1.glibc23.i386


解决方案:

yum -y remove MySQL-client-5.1.57*

其中 -y表示同意remove ,而 MySQL-client-5.1.57*根据具体报错情况写,“ * ”是通配符

解决wamp集成的mysql和已有的mysql冲突问题

下载wampserver之后它自己带了一个集成mysql,这个使用的端口号码也是3306,这个和以前的端口号码是冲突的,所以解决的办法就是在my.ini文件里面修改相应的端口号码.然后重启。但是我的情...

本机Mysql和禅道冲突?

1.装了禅道管理软件,MySQL客户端连不上?   产生问题:    (1):can t get hostname for your address      (2)   :access den...

CentOS7安装MySQL冲突和问题解决小结

问题1: [root@localhost install-files]# rpm -ivh MySQL-server-5.6.27-1.el6.x86_64.rpm Preparing...    ...

重新安装mysql5.5时注意的问题

  • 2013年08月28日 09:21
  • 799B
  • 下载

【Linux】Linux下安装MySQL版本冲突的一个解决方法

Linux下安装MySQL版本冲突的一个解决方法
  • LZGS_4
  • LZGS_4
  • 2015年03月27日 22:34
  • 1689

Android关于Jenkins+Gradle自动化构建时Gradle版本冲突的问题

前言 Jenkins自动化构建工具已经出来好久了,它为我们省去了不少的重复性工作,例如:构建,打包等。 但是对于初学者,刚开始的配置可能会有点麻烦。这里我就不再赘述了,不懂的童鞋请自行去找度娘。 ...

svn update时 版本冲突问题解决

当我们和别人同时修改了文件,别人通过commit提交,我们再去update时,会出现版本冲突,如下所示: 解决方法: 1、  在冲突的文件上(选中文件--右键菜单—Tortoise...
  • framic
  • framic
  • 2016年09月01日 08:46
  • 233

jstl Jar包 以及版本冲突问题解决

  • 2013年11月21日 17:51
  • 1.06MB
  • 下载

svn中合并(merge)问题和如何解决版本冲突

1.首先先解释一下合并中的两种方法      合并到

关于maven包管理版本冲突的问题

maven是一个非常好的包管理软件,我们通过pom.xml的设置就可以实现jar包引入项目,不需要自己手动加入,而且在项目打包生成的时候也非常方便。 但是,在各种jar包引入的时候,可能...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:重新安装mysql时,与之前版本冲突的处理问题
举报原因:
原因补充:

(最多只允许输入30个字)